knfsshare.h
/* This file is part of the KDE project
Copyright (c) 2004 Jan Schaefer <j_schaef@informatik.uni-kl.de>
This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Library General Public
License version 2 as published by the Free Software Foundation.
This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
Library General Public License for more details.
You should have received a copy of the GNU Library General Public License
along with this library; see the file COPYING.LIB. If not, write to
the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
*/
#ifndef knfsshare_h
#define knfsshare_h
#include <qobject.h>
#include <kdelibs_export.h>
class KNFSSharePrivate;
class KIO_EXPORT KNFSShare : public QObject
{
Q_OBJECT
public:
static KNFSShare* instance();
bool isDirectoryShared( const QString & path ) const;
QStringList sharedDirectories() const;
virtual ~KNFSShare();
QString exportsPath() const;
signals:
void changed();
private:
KNFSShare();
static KNFSShare* _instance;
KNFSSharePrivate* d;
private slots:
void slotFileChange(const QString&);
};
#endif
KNFSShare
Similar functionality like KFileShare, but works only for NFS and do not need any suid script...
Definition: knfsshare.h:35

KDE Home | KDE Accessibility Home | Description of Access Keys